This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 858851

Summary: javaws.desktop should be added to defaults.list to handle application/x-java-jnlp-file
Product: [Fedora] Fedora Reporter: Deepak Bhole <dbhole>
Component: icedtea-webAssignee: jiri vanek <jvanek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: bnocera, dbhole, jvanek, omajid
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 17:48:07 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Deepak Bhole 2012-09-19 15:36:25 EDT
Currently there is no default association for application/x-java-jnlp-file in defaults.list. As a result, Firefox does not know how to handle jnlp files and does not show IcedTea-Web's javaws as a possible option to open the file with.

I have provenpackager status and don't mind adding the line to defaults.list myself (F16/F17/F18) if it is approved here.

This is the line that needs to be added:
application/x-java-jnlp-file=javaws.desktop;
Comment 1 Fedora End Of Life 2013-01-16 07:23:16 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:39:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Deepak Bhole 2013-02-15 16:11:49 EST
Still present in F18.
Comment 4 Bastien Nocera 2013-02-19 08:55:23 EST
(In reply to comment #0)
> Currently there is no default association for application/x-java-jnlp-file
> in defaults.list.

There doesn't need to be one, you just need one application handling the mime-type, which javaws doesn't seem to do.
Comment 5 Deepak Bhole 2013-02-25 13:53:14 EST
What does javaws need to do to make that happen? The .desktop file currently has:
MimeType=application/x-java-jnlp-file;

But it doesn't seem to always work and Firefox ends up not knowing what to open JNLP files with.
Comment 6 Deepak Bhole 2013-02-25 13:54:39 EST
Hi Bastien, please see comment #5.
Comment 7 Bastien Nocera 2013-02-26 05:07:22 EST
(In reply to comment #6)
> Hi Bastien, please see comment #5.

Did you forget to run update-desktop-database after installing your package?
Comment 8 Deepak Bhole 2013-02-26 09:00:22 EST
(In reply to comment #7)
> (In reply to comment #6)
> > Hi Bastien, please see comment #5.
> 
> Did you forget to run update-desktop-database after installing your package?

Nope, we run that as well in %post:
http://pkgs.fedoraproject.org/cgit/icedtea-web.git/tree/icedtea-web.spec?h=f18#n137

Whats odd is that it does sometimes work fine, and at others it doesn't (sometimes meaning if it works after an install, it always works otherwise it never works for that install).
Comment 9 Fedora End Of Life 2013-12-21 10:06:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 17:48:07 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.